Get Evidence
curl --request GET \
--url https://api.example.com/api/internal/regime/v2/evidence/{evidence_id}import requests
url = "https://api.example.com/api/internal/regime/v2/evidence/{evidence_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/internal/regime/v2/evidence/{evidence_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evidence_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"logic_version": "<string>",
"feature_version": "<string>",
"variant": "<string>",
"horizon_profile": "macro",
"asset_scope": {
"kind": "market_index",
"primary_asset": "SPY",
"universe": [
"<string>"
]
},
"cost_model": {
"model_id": "default",
"commission_bps": 0,
"slippage_bps": 0,
"spread_bps": 0
},
"approved": false,
"approved_at": "2023-11-07T05:31:56Z",
"source_query_windows": [
{
"source": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"horizon_binding": "prior_session",
"notes": "<string>"
}
],
"as_of_floor": "2023-11-07T05:31:56Z",
"as_of_ceiling": "2023-11-07T05:31:56Z",
"stats": [
{
"strategy_family": "mean_reversion",
"horizon_profile": "macro",
"probability_of_profit": 0.5,
"expected_return": 123,
"expected_r": 123,
"median_return": 123,
"tail_loss": 123,
"max_drawdown": 123,
"sharpe": 123,
"trade_count": 1,
"regime_sample_count": 1,
"cost_adjusted_expectancy": 123,
"ci_lower": 123,
"ci_upper": 123,
"bootstrap_stability": 0.5,
"walk_forward_degradation": 1,
"subperiod_degradation": 1,
"evidence_status": "insufficient",
"cost_model": {
"model_id": "default",
"commission_bps": 0,
"slippage_bps": 0,
"spread_bps": 0
},
"evidence_ref": {
"evidence_id": "<string>",
"row_id": "<string>",
"artifact_uri": "<string>"
},
"axis_filter": {},
"notes": [
"<string>"
]
}
],
"manifest_id": "<string>",
"provenance": [
{
"source": "<string>",
"source_id": "<string>",
"artifact_id": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}regime-vnext-internal
Get Evidence
GET
/
api
/
internal
/
regime
/
v2
/
evidence
/
{evidence_id}
Get Evidence
Path Parameters
Response
Successful Response
Available options:
macro, swing, intraday Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes